For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voices
    • Overview
    • List Voices
    • Get Voice
    • Delete Voice
  • Recordings
    • Overview
    • List Recordings
    • Get Recording
    • Create Recording
    • Update Recording
    • Delete Recording
  • Projects & Clips
  • Voice Settings
    • Overview
    • List Presets
    • Get Preset
    • Create Preset
    • Update Preset
    • Delete Preset
  • Custom Pronunciations
    • Overview
    • Create Pronunciation
    • Bulk Create from ZIP
    • List Pronunciations
    • Get Pronunciation
    • Toggle Active Status
    • Delete Pronunciation
  • Account & Billing
    • Overview
    • Get Account
    • Teams
    • Billing Usage
Status
LogoLogo
On this page
  • Request Body (multipart/form-data)
  • Response (201 Created)
Custom Pronunciations

Bulk Create from ZIP

Was this page helpful?
Previous

List Pronunciations

Next
Built with

POST https://app.resemble.ai/api/v2/pronunciations/bulk

Upload multiple pronunciations at once. Each audio file in the ZIP becomes a pronunciation — the filename (without extension) is used as the word.

Request Body (multipart/form-data)

FieldTypeRequiredDescription
zipfileYesZIP file containing audio files. Max 50 files, max 100MB total.
$# ZIP structure:
$# mounjaro.wav -> word: "mounjaro"
$# abemaciclib.wav -> word: "abemaciclib"
$# paracetamol.flac -> word: "paracetamol"
$
$curl -X POST https://app.resemble.ai/api/v2/pronunciations/bulk \
> -H "Authorization: Bearer YOUR_API_KEY" \
> -F "zip=@pronunciations.zip"

Response (201 Created)

1{
2 "success": true,
3 "total_created": 3,
4 "total_errors": 0,
5 "items": [
6 {
7 "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
8 "word": "mounjaro",
9 "status": "pending",
10 "active": true,
11 "audio_url": "https://...",
12 "created_at": "2026-03-12T00:00:00.000Z",
13 "updated_at": "2026-03-12T00:00:00.000Z"
14 }
15 ],
16 "errors": []
17}

Each successfully created pronunciation starts with status: "pending". Any files that fail validation are reported in the errors array with a reason.